package dependencies

import (
	"fmt"
	"train/pkg/installer"
)

func InstallDependencies(deps []string) error {
	for _, dep := range deps {
		fmt.Printf("Устанавливаем зависимость: %s\n", dep)
		if err := installer.InstallPackage(dep); err != nil {
			return fmt.Errorf("не удалось установить зависимость %s: %v", dep, err)
		}
	}
	return nil
}