package security

import (
	"os/exec"
	"fmt"
)

func VerifySignature(filePath, sigPath string) error {
	out, err := exec.Command("gpg", "--verify", sigPath, filePath).CombinedOutput()
	if err != nil {
		return fmt.Errorf("gpg verification failed: %s", string(out))
	}
	return nil
}